#include "mbed.h"
#include "AD5270.h"

const float VAL = 10000; // 10000 ohms

Serial pc(USBTX, USBRX); ///< Serial interface to the pc

AD5270 ad5270(D6,20000); // set chipselect and ad5270 max resistance

int main() {
    pc.printf("Current value of the AD5270 is %f", ad5270.read_RDAC ());    
    ad5270.write_RDAC(VAL);
    pc.printf("Current value of the AD5270 is %f", ad5270.read_RDAC ());    
    while(1);
    
}